CREATE TABLE CRST_AP_INV_PAYMENT
(
  ACCOUNTING_EVENT_ID             NUMBER(15),
  ACCOUNTING_DATE                 DATE,
  ACCRUAL_POSTED_FLAG             VARCHAR2(1 BYTE),
  AMOUNT                          NUMBER,
  CASH_POSTED_FLAG                VARCHAR2(1 BYTE),
  CHECK_ID                        NUMBER(15),
  INVOICE_ID                      NUMBER(15),
  INVOICE_PAYMENT_ID              NUMBER(15),
  LAST_UPDATED_BY                 NUMBER(15),
  LAST_UPDATE_DATE                DATE,
  PAYMENT_NUM                     NUMBER(15),
  PERIOD_NAME                     VARCHAR2(15 BYTE),
  POSTED_FLAG                     VARCHAR2(1 BYTE),
  SET_OF_BOOKS_ID                 NUMBER(15),
  ACCTS_PAY_CODE_COMBINATION_ID   NUMBER(15),
  ASSET_CODE_COMBINATION_ID       NUMBER(15),
  CREATED_BY                      NUMBER(15),
  CREATION_DATE                   DATE,
  LAST_UPDATE_LOGIN               NUMBER(15),
  BANK_ACCOUNT_NUM                VARCHAR2(30 BYTE),
  BANK_ACCOUNT_TYPE               VARCHAR2(25 BYTE),
  BANK_NUM                        VARCHAR2(25 BYTE),
  DISCOUNT_LOST                   NUMBER,
  DISCOUNT_TAKEN                  NUMBER,
  EXCHANGE_DATE                   DATE,
  EXCHANGE_RATE                   NUMBER,
  EXCHANGE_RATE_TYPE              VARCHAR2(30 BYTE),
  GAIN_CODE_COMBINATION_ID        NUMBER(15),
  INVOICE_BASE_AMOUNT             NUMBER,
  LOSS_CODE_COMBINATION_ID        NUMBER(15),
  PAYMENT_BASE_AMOUNT             NUMBER,
  ATTRIBUTE1                      VARCHAR2(150 BYTE),
  ATTRIBUTE10                     VARCHAR2(150 BYTE),
  ATTRIBUTE11                     VARCHAR2(150 BYTE),
  ATTRIBUTE12                     VARCHAR2(150 BYTE),
  ATTRIBUTE13                     VARCHAR2(150 BYTE),
  ATTRIBUTE14                     VARCHAR2(150 BYTE),
  ATTRIBUTE15                     VARCHAR2(150 BYTE),
  ATTRIBUTE2                      VARCHAR2(150 BYTE),
  ATTRIBUTE3                      VARCHAR2(150 BYTE),
  ATTRIBUTE4                      VARCHAR2(150 BYTE),
  ATTRIBUTE5                      VARCHAR2(150 BYTE),
  ATTRIBUTE6                      VARCHAR2(150 BYTE),
  ATTRIBUTE7                      VARCHAR2(150 BYTE),
  ATTRIBUTE8                      VARCHAR2(150 BYTE),
  ATTRIBUTE9                      VARCHAR2(150 BYTE),
  ATTRIBUTE_CATEGORY              VARCHAR2(150 BYTE),
  CASH_JE_BATCH_ID                NUMBER(15),
  FUTURE_PAY_CODE_COMBINATION_ID  NUMBER(15),
  FUTURE_PAY_POSTED_FLAG          VARCHAR2(1 BYTE),
  JE_BATCH_ID                     NUMBER(15),
  ELECTRONIC_TRANSFER_ID          NUMBER(15),
  ASSETS_ADDITION_FLAG            VARCHAR2(1 BYTE),
  INVOICE_PAYMENT_TYPE            VARCHAR2(25 BYTE),
  OTHER_INVOICE_ID                NUMBER(15),
  ORG_ID                          NUMBER(15),
  GLOBAL_ATTRIBUTE_CATEGORY       VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE1               VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE2               VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE3               VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE4               VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE5               VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE6               VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE7               VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE8               VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE9               VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE10              VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE11              VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE12              VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE13              VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE14              VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE15              VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE16              VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE17              VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE18              VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE19              VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE20              VARCHAR2(150 BYTE),
  EXTERNAL_BANK_ACCOUNT_ID        NUMBER(15),
  MRC_EXCHANGE_DATE               VARCHAR2(2000 BYTE),
  MRC_EXCHANGE_RATE               VARCHAR2(2000 BYTE),
  MRC_EXCHANGE_RATE_TYPE          VARCHAR2(2000 BYTE),
  MRC_GAIN_CODE_COMBINATION_ID    VARCHAR2(2000 BYTE),
  MRC_INVOICE_BASE_AMOUNT         VARCHAR2(2000 BYTE),
  MRC_LOSS_CODE_COMBINATION_ID    VARCHAR2(2000 BYTE),
  MRC_PAYMENT_BASE_AMOUNT         VARCHAR2(2000 BYTE),
  REVERSAL_FLAG                   VARCHAR2(1 BYTE),
  REVERSAL_INV_PMT_ID             NUMBER(15),
  IBAN_NUMBER                     VARCHAR2(40 BYTE),
  DUMMY                           CHAR(1),
  LAST_UPDATED_BY_NAME            VARCHAR2(100),
  SOB_SHORT_NAME                  VARCHAR2(100),
  ACCTS_PAY_CCID_D                VARCHAR2(100),
  ASSET_CCID_D                    VARCHAR2(100),
  CREATED_BY_NAME                 VARCHAR2(100),
  GAIN_CCID_D                     VARCHAR2(100),
  LOSS_CCID_D                     VARCHAR2(100),
  FUTURE_PAY_CCID_D               VARCHAR2(100),
  ORG_NAME                        VARCHAR2(240),
  MRC_GAIN_CCID_D                 VARCHAR2(100),
  MRC_LOSS_CCID_D                 VARCHAR2(100)
);